[gcompris/voices] remove traces in encodeTo because it masks encoding errors
- From: Bruno Coudoin <bcoudoin src gnome org>
- To: commits-list gnome org
- Cc:
- Subject: [gcompris/voices] remove traces in encodeTo because it masks encoding errors
- Date: Thu, 16 Jul 2015 01:01:27 +0000 (UTC)
commit 6085aadc61736f1bb04e945d4207644da617b121
Author: Bruno Coudoin <bruno coudoin gcompris net>
Date: Thu Jul 16 02:39:34 2015 +0200
remove traces in encodeTo because it masks encoding errors
encodeTo.sh | 10 ++++++++--
1 files changed, 8 insertions(+), 2 deletions(-)
---
diff --git a/encodeTo.sh b/encodeTo.sh
index 9a7c806..f5e053a 100755
--- a/encodeTo.sh
+++ b/encodeTo.sh
@@ -37,15 +37,21 @@ fi
echo "Transcode ogg files to $format"
for f in $(find . -type f -name \*.ogg)
do
- echo "Processing $f"
+ #echo "Processing $f"
avconv -v warning -i $f -acodec $codec ${f%.*}.${format}
+ if [ $? -ne 0 ]
+ then
+ echo "ERROR: Failed to convert $f"
+ echo "Cancelled"
+ exit 1
+ fi
rm -f $f
done
echo "Fix symlinks"
for f in $(find . -type l -name \*.ogg)
do
- echo "Processing $f"
+ #echo "Processing $f"
target=$(readlink -f $f)
rm $f
ln -s -r ${target%.*}.${format} ${f%.*}.${format}
[
Date Prev][
Date Next] [
Thread Prev][
Thread Next]
[
Thread Index]
[
Date Index]
[
Author Index]